diff --git a/gcc/analyzer/diagnostic-manager.cc b/gcc/analyzer/diagnostic-manager.cc
index 6824c27ab7e..d16a4445712 100644
--- a/gcc/analyzer/diagnostic-manager.cc
+++ b/gcc/analyzer/diagnostic-manager.cc
@@ -72,7 +72,7 @@ saved_diagnostic::saved_diagnostic (const state_machine *sm,
 				    const supernode *snode, const gimple *stmt,
 				    stmt_finder *stmt_finder,
 				    tree var,
-				    const svalue2 *sval,
+				    const svalue *sval,
 				    state_machine::state_t state,
 				    pending_diagnostic *d)
 : m_sm (sm), m_enode (enode), m_snode (snode), m_stmt (stmt),
@@ -153,7 +153,7 @@ private:
 
 /* diagnostic_manager's ctor.  */
 
-diagnostic_manager::diagnostic_manager (logger *logger, engine2 *eng,
+diagnostic_manager::diagnostic_manager (logger *logger, engine *eng,
 					int verbosity)
 : log_user (logger), m_eng (eng), m_verbosity (verbosity)
 {
@@ -167,7 +167,7 @@ diagnostic_manager::add_diagnostic (const state_machine *sm,
 				    const supernode *snode, const gimple *stmt,
 				    stmt_finder *finder,
 				    tree var,
-				    const svalue2 *sval,
+				    const svalue *sval,
 				    state_machine::state_t state,
 				    pending_diagnostic *d)
 {
@@ -336,7 +336,7 @@ public:
 class dedupe_winners
 {
 public:
-  dedupe_winners (engine2 *eng) : m_engine2 (eng) {}
+  dedupe_winners (engine *eng) : m_engine (eng) {}
 
   ~dedupe_winners ()
   {
@@ -379,7 +379,7 @@ public:
 
     feasibility_problem *p = NULL;
     bool feasible;
-    feasible = dc->get_path ().feasible2_p (logger, &p, m_engine2, eg);
+    feasible = dc->get_path ().feasible_p (logger, &p, m_engine, eg);
     if (!feasible)
       {
 	if (logger)
@@ -475,7 +475,7 @@ public:
   }
 
 private:
-  engine2 *m_engine2;
+  engine *m_engine;
 
   /* This maps from each dedupe_key to a current best dedupe_candidate.  */
 
@@ -512,7 +512,7 @@ diagnostic_manager::emit_saved_diagnostics (const exploded_graph &eg)
      instance.  This partitions the saved diagnostics by dedupe_key,
      generating exploded_paths for them, and retaining the best one in each
      partition.  */
-  dedupe_winners best_candidates (eg.get_engine2 ());
+  dedupe_winners best_candidates (eg.get_engine ());
 
   int i;
   saved_diagnostic *sd;
@@ -644,10 +644,10 @@ get_any_origin (const gimple *stmt,
 
 /* FIXME.  */
 
-static const svalue2 *
-get_any_origin2 (const gimple *stmt,
-		 const svalue2 *dst_sval,
-		 const program_state &dst_state)
+static const svalue *
+get_any_origin (const gimple *stmt,
+		const svalue *dst_sval,
+		const program_state &dst_state)
 {
   gcc_unreachable ();
 }
@@ -671,10 +671,10 @@ diagnostic_manager::build_emission_path (const path_builder &pb,
 /* Subclass of state_change_visitor that creates state_change_event
    instances.  */
 
-class state_change_event_creator2 : public state_change_visitor2
+class state_change_event_creator : public state_change_visitor
 {
 public:
-  state_change_event_creator2 (const exploded_edge &eedge,
+  state_change_event_creator (const exploded_edge &eedge,
 			      checker_path *emission_path)
     : m_eedge (eedge),
       m_emission_path (emission_path)
@@ -710,8 +710,8 @@ public:
   bool on_state_change (const state_machine &sm,
 			state_machine::state_t src_sm_val,
 			state_machine::state_t dst_sm_val,
-			const svalue2 *sval,
-			const svalue2 *dst_origin_sval) FINAL OVERRIDE
+			const svalue *sval,
+			const svalue *dst_origin_sval) FINAL OVERRIDE
   {
     const exploded_node *src_node = m_eedge.m_src;
     const program_point &src_point = src_node->get_point ();
@@ -737,7 +737,7 @@ public:
       return false;
 
     tree origin_rep
-      = dst_state.get_representative_tree2 (dst_origin_sval);
+      = dst_state.get_representative_tree (dst_origin_sval);
 #if 0
     if (origin_rep == NULL_TREE)
       origin_rep = get_any_origin (stmt, dst_rep, dst_state);
@@ -776,20 +776,20 @@ public:
    lead to state_change_events being emitted).  */
 
 bool
-for_each_state_change2 (const program_state &src_state,
-			const program_state &dst_state,
-			const extrinsic_state &ext_state,
-			state_change_visitor2 *visitor)
+for_each_state_change (const program_state &src_state,
+		       const program_state &dst_state,
+		       const extrinsic_state &ext_state,
+		       state_change_visitor *visitor)
 {
-  gcc_assert (src_state.m_checker_states2.length ()
+  gcc_assert (src_state.m_checker_states.length ()
 	      == ext_state.get_num_checkers ());
-  gcc_assert (dst_state.m_checker_states2.length ()
+  gcc_assert (dst_state.m_checker_states.length ()
 	      == ext_state.get_num_checkers ());
   for (unsigned i = 0; i < ext_state.get_num_checkers (); i++)
     {
       const state_machine &sm = ext_state.get_sm (i);
-      const sm_state_map2 &src_smap = *src_state.m_checker_states2[i];
-      const sm_state_map2 &dst_smap = *dst_state.m_checker_states2[i];
+      const sm_state_map &src_smap = *src_state.m_checker_states[i];
+      const sm_state_map &dst_smap = *dst_state.m_checker_states[i];
 
       /* Add events for any global state changes.  */
       if (src_smap.get_global_state () != dst_smap.get_global_state ())
@@ -799,20 +799,20 @@ for_each_state_change2 (const program_state &src_state,
 	  return true;
 
       /* Add events for per-svalue state changes.  */
-      for (sm_state_map2::iterator_t iter = dst_smap.begin ();
+      for (sm_state_map::iterator_t iter = dst_smap.begin ();
 	   iter != dst_smap.end ();
 	   ++iter)
 	{
 #if 1
 	  // FIXME: we can compare them now
 	  // FIXME: do we want to sort them first, then emit events?
-	  const svalue2 *sval = (*iter).first;
-	  tree dst_rep = dst_state.get_representative_tree2 (sval);
+	  const svalue *sval = (*iter).first;
+	  tree dst_rep = dst_state.get_representative_tree (sval);
 	  state_machine::state_t dst_sm_val = (*iter).second.m_state;
 	  state_machine::state_t src_sm_val = src_smap.get_state (sval, ext_state);
 	  if (dst_sm_val != src_sm_val)
 	    {
-	      const svalue2 *origin_sval = (*iter).second.m_origin;
+	      const svalue *origin_sval = (*iter).second.m_origin;
 	      if (visitor->on_state_change (sm, src_sm_val, dst_sm_val,
 					    sval, origin_sval))
 		return true;
@@ -822,8 +822,8 @@ for_each_state_change2 (const program_state &src_state,
 	     and dst state, but there's no guarantee that the IDs can
 	     be meaningfully compared.  */
 	  auto_vec<path_var> dst_pvs;
-	  dst_state.m_region_model2->get_path_vars_for_svalue (dst_sval,
-							       &dst_pvs);
+	  dst_state.m_region_model->get_path_vars_for_svalue (dst_sval,
+							      &dst_pvs);
 
 	  unsigned j;
 	  path_var *dst_pv;
@@ -835,14 +835,14 @@ for_each_state_change2 (const program_state &src_state,
 		  >= src_state.m_region_model->get_stack_depth ())
 		continue;
 	      tentative_region_model_context ctxt;
-	      const svalue2 *src_sval
-		= src_state.m_region_model2->get_rvalue (*dst_pv, &ctxt);
+	      const svalue *src_sval
+		= src_state.m_region_model->get_rvalue (*dst_pv, &ctxt);
 	      if (src_val == NULL || ctxt.had_errors_p ())
 		continue;
 	      state_machine::state_t src_sm_val = src_smap.get_state (src_sval);
 	      if (dst_sm_val != src_sm_val)
 		{
-		  const svalue2 *dst_origin_sval = (*iter).second.m_origin;
+		  const svalue *dst_origin_sval = (*iter).second.m_origin;
 		  if (visitor->on_state_change (sm, src_sm_val, dst_sm_val,
 						dst_rep, dst_origin_sval))
 		    return true;
@@ -854,7 +854,7 @@ for_each_state_change2 (const program_state &src_state,
   return false;
 }
 
-/* An sm_context for adding state_change2_event on assignments to NULL,
+/* An sm_context for adding state_change_event on assignments to NULL,
    where the default state isn't m_start.  Storing such state in the
    sm_state_map would lead to bloat of the exploded_graph, so we want
    to leave it as a default state, and inject state change events here
@@ -889,8 +889,8 @@ struct null_assignment_sm_context : public sm_context
     if (from != 0)
       return;
 
-    const svalue2 *var_new_sval
-      = m_new_state->m_region_model2->get_rvalue (var, NULL);
+    const svalue *var_new_sval
+      = m_new_state->m_region_model->get_rvalue (var, NULL);
     const supernode *supernode = m_point->get_supernode ();
     int stack_depth = m_point->get_stack_depth ();
 
@@ -936,8 +936,8 @@ struct null_assignment_sm_context : public sm_context
     const gassign *assign_stmt = dyn_cast <const gassign *> (stmt);
     if (!assign_stmt)
      return NULL_TREE;
-    if (const svalue2 *sval
-	= m_new_state->m_region_model2->get_gassign_result (assign_stmt, NULL))
+    if (const svalue *sval
+	= m_new_state->m_region_model->get_gassign_result (assign_stmt, NULL))
       if (tree cst = sval->maybe_get_constant ())
 	if (::zerop(cst))
 	  return gimple_assign_lhs (assign_stmt);
@@ -946,7 +946,7 @@ struct null_assignment_sm_context : public sm_context
 
   const program_state *m_new_state;
   const program_point *m_point;
-  state_change_visitor2 *m_visitor;
+  state_change_visitor *m_visitor;
   const gimple *m_stmt;
   checker_path *m_emission_path;
 };
@@ -994,9 +994,9 @@ diagnostic_manager::add_events_for_eedge (const path_builder &pb,
       | ~~~~~~~~~~~~~^~~~~
       |              |
       |              (3) ...to here        (end_cfg_edge_event).  */
-  state_change_event_creator2 visitor2 (eedge, emission_path);
-  for_each_state_change2 (src_state, dst_state, pb.get_ext_state (),
-			  &visitor2);
+  state_change_event_creator visitor (eedge, emission_path);
+  for_each_state_change (src_state, dst_state, pb.get_ext_state (),
+			 &visitor);
 
   /* Allow non-standard edges to add events, e.g. when rewinding from
      longjmp to a setjmp.  */
@@ -1044,7 +1044,7 @@ diagnostic_manager::add_events_for_eedge (const path_builder &pb,
 	/* Create state change events for assignment to NULL.
 	   Iterate through the stmts in dst_enode, adding state change
 	   events for them.  */
-	if (dst_state.m_region_model2)
+	if (dst_state.m_region_model)
 	  {
 	    program_state iter_state (dst_state);
 	    program_point iter_point (dst_point);
@@ -1054,7 +1054,7 @@ diagnostic_manager::add_events_for_eedge (const path_builder &pb,
 		if (stmt->code == GIMPLE_ASSIGN)
 		  {
 		    const extrinsic_state &ext_state = pb.get_ext_state ();
-		    iter_state.m_region_model2->on_stmt (stmt, NULL);
+		    iter_state.m_region_model->on_stmt (stmt, NULL);
 		    for (unsigned i = 0; i < ext_state.get_num_checkers (); i++)
 		      {
 			const state_machine &sm = ext_state.get_sm (i);
@@ -1254,12 +1254,12 @@ void
 diagnostic_manager::prune_path (checker_path *path,
 				const state_machine *sm,
 				tree var,
-				const svalue2 *sval,
+				const svalue *sval,
 				state_machine::state_t state) const
 {
   LOG_FUNC (get_logger ());
   path->maybe_log (get_logger (), "path");
-  prune_for_sm_diagnostic2 (path, sm, sval, state);
+  prune_for_sm_diagnostic (path, sm, sval, state);
   prune_interproc_events (path);
   finish_pruning (path);
   path->maybe_log (get_logger (), "pruned");
@@ -1301,10 +1301,10 @@ can_be_expr_of_interest_p (tree expr)
    when the diagnostic relates to later dereferencing 'ptr'.  */
 
 void
-diagnostic_manager::prune_for_sm_diagnostic2 (checker_path *path,
-					      const state_machine *sm,
-					      const svalue2 *sval,
-					      state_machine::state_t state)
+diagnostic_manager::prune_for_sm_diagnostic (checker_path *path,
+					     const state_machine *sm,
+					     const svalue *sval,
+					     state_machine::state_t state)
   const
 {
   int idx = path->num_events () - 1;
@@ -1356,8 +1356,8 @@ diagnostic_manager::prune_for_sm_diagnostic2 (checker_path *path,
 		statement_event *stmt_event = (statement_event *)base_event;
 		// TODO:
 #if 0
-		const svalue2 *new_sval
-		  = get_any_origin2 (stmt_event->m_stmt, sval,
+		const svalue *new_sval
+		  = get_any_origin (stmt_event->m_stmt, sval,
 				     stmt_event->m_dst_state);
 		if (new_sval)
 		  {
@@ -1394,7 +1394,7 @@ diagnostic_manager::prune_for_sm_diagnostic2 (checker_path *path,
 	    state_change_event *state_change
 	      = (state_change_event *)base_event;
 	    bool ctxt_had_errors = false;
-	    gcc_assert (state_change->m_dst_state.m_region_model2);
+	    gcc_assert (state_change->m_dst_state.m_region_model);
 
 	    if (state_change->m_sval == sval)
 	      {
@@ -1509,8 +1509,8 @@ diagnostic_manager::prune_for_sm_diagnostic2 (checker_path *path,
 	    call_event *event = (call_event *)base_event;
 	    const callgraph_superedge& cg_superedge
 	      = event->get_callgraph_superedge ();
-	    const region_model2 *callee_model
-	      = event->m_eedge.m_dest->get_state ().m_region_model2;
+	    const region_model *callee_model
+	      = event->m_eedge.m_dest->get_state ().m_region_model;
 	    tree callee_var = callee_model->get_representative_tree (sval);
 #if 1
 	    /* We could just use caller_model->get_representative_tree (sval);
@@ -1521,8 +1521,8 @@ diagnostic_manager::prune_for_sm_diagnostic2 (checker_path *path,
 	    tree caller_var
 	      = cg_superedge.map_expr_from_callee_to_caller (callee_var, &expr);
 #else
-	    const region_model2 *caller_model
-	      = m_eedge.m_src->get_state ()->m_region_model2;
+	    const region_model *caller_model
+	      = m_eedge.m_src->get_state ()->m_region_model;
 	    tree caller_var = caller_model->get_representative_tree (sval);
 #endif
 	    if (caller_var)
@@ -1548,8 +1548,8 @@ diagnostic_manager::prune_for_sm_diagnostic2 (checker_path *path,
 		return_event *event = (return_event *)base_event;
 		const callgraph_superedge& cg_superedge
 		  = event->get_callgraph_superedge ();
-		const region_model2 *caller_model
-		  = event->m_eedge.m_dest->get_state ().m_region_model2;
+		const region_model *caller_model
+		  = event->m_eedge.m_dest->get_state ().m_region_model;
 		tree caller_var = caller_model->get_representative_tree (sval);
 		callsite_expr expr;
 		tree callee_var
diff --git a/gcc/analyzer/diagnostic-manager.h b/gcc/analyzer/diagnostic-manager.h
index d72bac55794..d531413ede1 100644
--- a/gcc/analyzer/diagnostic-manager.h
+++ b/gcc/analyzer/diagnostic-manager.h
@@ -39,7 +39,7 @@ public:
 		    const exploded_node *enode,
 		    const supernode *snode, const gimple *stmt,
 		    stmt_finder *stmt_finder,
-		    tree var, const svalue2 *sval,
+		    tree var, const svalue *sval,
 		    state_machine::state_t state,
 		    pending_diagnostic *d);
   ~saved_diagnostic ();
@@ -74,7 +74,7 @@ public:
   const gimple *m_stmt;
   stmt_finder *m_stmt_finder;
   tree m_var;
-  const svalue2 *m_sval;
+  const svalue *m_sval;
   state_machine::state_t m_state;
   pending_diagnostic *m_d;
   exploded_edge *m_trailing_eedge;
@@ -101,16 +101,16 @@ class path_builder;
 class diagnostic_manager : public log_user
 {
 public:
-  diagnostic_manager (logger *logger, engine2 *eng, int verbosity);
+  diagnostic_manager (logger *logger, engine *eng, int verbosity);
 
-  engine2 *get_engine2 () const { return m_eng; }
+  engine *get_engine () const { return m_eng; }
 
   void add_diagnostic (const state_machine *sm,
 		       const exploded_node *enode,
 		       const supernode *snode, const gimple *stmt,
 		       stmt_finder *finder,
 		       tree var,
-		       const svalue2 *sval,
+		       const svalue *sval,
 		       state_machine::state_t state,
 		       pending_diagnostic *d);
 
@@ -159,22 +159,22 @@ private:
   void prune_path (checker_path *path,
 		   const state_machine *sm,
 		   tree var,
-		   const svalue2 *sval,
+		   const svalue *sval,
 		   state_machine::state_t state) const;
 
   void prune_for_sm_diagnostic (checker_path *path,
 				const state_machine *sm,
 				tree var,
 				state_machine::state_t state) const;
-  void prune_for_sm_diagnostic2 (checker_path *path,
+  void prune_for_sm_diagnostic (checker_path *path,
 				 const state_machine *sm,
-				 const svalue2 *sval,
+				 const svalue *sval,
 				 state_machine::state_t state) const;
   void update_for_unsuitable_sm_exprs (tree *expr) const;
   void prune_interproc_events (checker_path *path) const;
   void finish_pruning (checker_path *path) const;
 
-  engine2 *m_eng;
+  engine *m_eng;
   auto_delete_vec<saved_diagnostic> m_saved_diagnostics;
   const int m_verbosity;
 };
